Notas de última hora de Red Hat Linux 7.1
-------------------------------

Este documento describe las características nuevas de la versión Red 
Hat Linux 7.1,pero puede que no esté disponible antes de que se complete 
toda la información. Si desea conocer las notas de última hora lea la 
documentación disponible en el CD 1 de Red Hat Linux.

Cambios de última hora
----------------------

    o El programa de instalación de Oracle (versiones 8.1.7, 8.1.6, y 
      posiblemente otras) no funciona correctamente con 
      glibc 2.2 y posteriores. El problema que se presenta es que al
      proceder al enlace de los ficheros objeto éstos utilizan una
      versión diferente de glibc ( la compatibilidad binaria está asegurada
      tan sólo para los ejecutables enlazados y las librerías compartidas 
      mediante un símbolo de la versión). Puede intentarlo instalando
      los paquetes compatibles con Red Hat Linux 6.2 (compat-egcs,
      compat-glibc and compat-libs) y escribiendo los siguientes
      comandos antes de ejecutar el instalador de Oracle:

        export LD_ASSUME_KERNEL=2.2.5
        . /usr/i386-glibc21-linux/bin/i386-glibc21-linux-env.sh

      La segunda línea exporta las variables de entorno que harán que
      gcc y ld busquen cabeceras y librerías compatibles con glibc 2.1.3.

    o Advertencia acerca de las instalaciones NFS, FTP, o HTTP -- Como el 
      programa de instalación de Hat Linux 7.1 es capaz de instalar Red Hat
      Linux desde múltiples CD-ROMs, si quiere soportar las instalaciones
      NFS, FTP, o HTTP no podrá montar un solo CD-ROM Red Hat Linux 
      e instalar desde éste.

      En su lugar, deberá copiar el directorio RedHat desde cada CD-ROM
      comprimiendo Red Hat Linux 7.1 en una unidad de disco:

        - Introduzca el CD 1
          mount /dev/cdrom /mnt/cdrom
          cp -var /mnt/cdrom/RedHat /location/of/disk/space
          umount /mnt/cdrom

        - Intorduzca el CD 2
          mount /dev/cdrom /mnt/cdrom
          cp -var /mnt/cdrom/RedHat /location/of/disk/space
          umount /mnt/cdrom

      Deberá hacer que la /location/of/disk/space sea accesible al 
      programa de instalación (por ejemplo, exportándolo para las
      instalaciones NFS):

        - Export /location/of/disk/space


Instalación - Cambios y mejoras
-------------------------------

El programa de instalación de la versión 7.1 de Red Hat Linux incluye
nuevas características. Para obtener más información, consulte la Official
Red Hat Linux Installation Guide.


    o Swap -- El kernel 2.4 es más potente que el 2.2 a la hora de utilizar 
el espacio de swap. Sin embargo, como ya ocurrió con versiones anteriores del
kernel, el tamaño óptimo del espacio swap dependerá de:

        - La cantidad de memoria RAM que tenga instalada.
        - La cantidad de espacio que tenga disponible en el disco para la
          partición swap.
        - Las aplicaciones que utilice.
        - La variedad de aplicaciones que se estén ejecutando a la vez.

      Le recomendamos que utilice los siguientes tamaños para las 
      particiones swap:

        - Para sistemas de un solo usuario con una memoria RAM de menos de
          128MB, el espacio recomendado es de 256MB.

        - Para sistemas de un solo usuario y servidores de bajo rendimiento 
          con más de 128MB de memoria RAM, se recomienda usar el doble de la 
          memoria RAM (2xRAM).

        - Para servidores con 512MB de memoria RAM, el espacio recomendado
          depende del entorno, es decir, de las condiciones de éste.

      Aunque existen sistemas operativos con determinadas configuraciones 
      y aplicaciones que funcionan con poco espacio swap o prácticamente sin
      espacio, le recomendamos que siga estas pautas porque como dice el dicho:

          " Es mejor tenerlo y no necesitarlo que necesitarlo y no tenerlo."

    o Swap-Actualización -- Si desea llevar a cabo la instalación de la
      versión 7.1 de Red Hat Linux, la configuración del tamaño de las
      particiones swap no es un proceso difícil, basta con seguir los pasos
      adecuados. Sin embargo, tenga en cuenta que, si desea actualizar una
      versión anterior del sistema Red Hat Linux con la versión 7.1, el 
      tamaño de las particiones swap puede que no sea suficiente para la nueva
      versión.

      El programa de instalación de la versión 7.1 de Red Hat Linux examina 
      el espacio disponible para las particiones swap. En el caso de que no
      sea suficiente, configura más espacio swap en formato de fichero swap.
      Se le preguntará qué tamaño desea para este nuevo fichero.

      (NOTA: El programa de instalación no creará de ninguna manera una
      partición o un fichero swap de más de 2GB. En el caso de que se exceda
      esta tamaño, tendrá que reconfigurarlo una vez que haya terminado el
      proceso de instalación.)

    o XFree86 4.0.3 -- En el programa de instalación de la versión 7.1 de Red
      Hat Linux 7.1 se han mejorado las pantallas de control y la detección
      de la memoria de vídeo de tal manera que usted pueda llevar a cabo la 
      instalación sin ningún tipo de problemas.

    o Configuración de un firewall -- Para mayor seguridad en el sistema, 
      puede configurar un firewall como parte de la instalación del sistema. 
      Puede elegir entre dos niveles de seguridad así como qué tipo de
      servicios predeterminados desea que el sistema habilite o deshabilite.


      Observe con atención que la configuración de los niveles medio y alto
      del firewall puede bloquear algunos servicios RPC como NIS o NPS y como
      consecuencia no llevarse a cabo la configuración.

    o Instalación desde el disco duro -- Se necesitan las imágenes ISO para 
      la instalación desde el disco duro, de tal manera que ya no es necesario
      copiar e instalar todo el árbol de directorios y archivos. De esta
      manera, sólo tiene que poner las imágenes ISO en un directorio. Durante
      la instalación desde el disco duro, dirija la instalación del sistema
      Red Hat Linux al directorio. Además, gracias a que Red Hat publica los
      modelos oficiales de MD5 para las imágenes ISO, le resultará fácil
      asegurarse que está usando el software oficial. Para ello, ejecute el
      programa md5sum y compare los modelos con los de Red Hat.

    o Selección del idioma -- La selección del idioma se ha cambiado
      completamente. Ahora es posible realizar el proceso de instalación en un
      idioma, pero se debe de especificar que el sistema, después de la
      instalación, operará en otro idioma.

    o Instalación de tipo portátil -- Está disponible un nuevo tipo de
      instalación, la portátil que permite el soporte de dispositivos PCMCIA.
      El sistema la detectará automáticamente si posee un controlador PCMCIA
      de los soportados por Red Hat.

    o Soporte LBA32 -- Ya existe el soporte para la opción de LILO, LBA32.
      Esto facilita el arranque parcial o completo desde particiones que se
      encuentren en cilindros superiores al 1024, que hasta ahora era el
      límite. Sin embargo, tenga en cuenta que no todas las
      matrices soportan esta opción, incluso cuando el soporte para la BIOS
      está disponible. Por ello, esta opción está desactivada por defecto.
      Observe también que esta opción está disponible SÓLO cuando se
      ha creado una partición con fdisk y la partición es de tipo fdisk, y la
      partición es de tipo /boot o / (root). La restricción fdisk es necesaria
      ya que no es posible arrancar una partición desde un cilindro superior a
      1024 usando Disk Druid.

    o Mejoras de la aplicación Disk Druid -- La aplicación Disk Druid 
      detecta las particiones que, por ejemplo, no se ajustan a los límites de
      un cilindro. Esto puede ser debido al hecho de que la geometría del
      disco duro sea diferente a la que tenía inicialmente antes
      de que se creara una partición. En estos casos, le recomendamos que 
      use el programa fdisk para poder resolver estos problemas o intentar
      evitarlos.

    o Configuración de la interfaz gráfica Kickstart -- La versión 7.1 de Red
      Hat Linux incluye una interfaz gráfica para crear configuraciones
      kickstart facilitando al cliente la instalación.

    o Mejoras del modo de rescate -- El modo de rescate ha sido mejorado 
      para montar los sistemas de ficheros que aparecen en /etc/fstab
      (suponiendo que se encuentre un sistema de ficheros root). Se montan en
       /mnt/sysimage lo que facilita el uso de este modo a aquellas personas
       que lo utilizan por primera vez.

    o Nueva opción sobre la seguridad de la autentificación -- La 
      configuración de la autentificación incluye la posibilidad de usar la
      Seguridad de la red a nivel de la capa de transporte o
      TLS (Transport Layer Security) cuando se llevan a cabo búsquedas. La 
      TLS permite a los clientes LDAP utilizar conexiones codificadas cuando
      realizan la autentificación.


    o Mejoras varias en el programa de instalación -- En este programa se
      llevan a cabo muchos controles para aislar problemas graves, que al
      inicio los nuevos usuarios no sabían resolver.


Cambios y mejoras en el sistema
-------------------------------

La versión 7.1 de Red Hat Linux contiene nuevas características 
que no forman parte del proceso de instalación. Algunas se refieren a los
programas de los servidores y otras a nuevas aplicaciones o a cambios en el
entorno del escritorio. La siguiente lista le muestra lo que puede encontrar
en la versión 7.1 de Red Hat Linux.

    o Componentes del núcleo del sistema actualizados -- Los componentes
      principales siguientes han sido actualizados en la versión 7.1 de Red
      Hat Linux:
        - kernel 2.4.x (con ajustes adicionales)
        - glibc 2.2.2
        - KDE 2.1.1
        - XFree86 4.0.3 con la extensión de fuentes antialias
        - GCC 2.96-RH, con nuevos ajustes

    o Mejoras en el soporte USB -- El kernel 2.4 integra en la versión 7.1 de
      Red Hat Linux un soporte USB más avanzado comparado al de las versiones
      anteriores del sistema. Contiene más controladores y un mayor buffer
      para los dispositivos como los CD-ROMs. También
      soporta los dispositivos removibles-- si se conecta un dispositivo
      soportado después del arranque del sistema, los controladores necesarios
      se cargan automáticamente.

    o Controladores de medios removibles automáticamente añadidos a
      /etc/fstab Red Hat Linux 7.1 da la posibilidad a los usuarios de montar
      y desmontar controladores de medios removibles. Esto se lleva a cabo con
      el programa updfstab (que forma parte del configurador del hardware del
      tiempo de arranque kudzu). Añade y elimina las entradas necesarias a
      /etc/fstab. Observe que cada entrada del programa updfstab contiene la
      nueva opción kudzu -- lo que indica que la entrada puede ser eliminada
      después; si desea añadir permanentemente una entrada al fstab, elimine
      simplemente la opción kudzu.

      Los dispositivos removibles aparecen como una combinación de 
      cardmgr, hotplug, updf-stab y pam_console_apply. Cuando el kernel
      notifica a hotplug o cardmgr que se ha almacenado un nuevo dispositivo
      en el sistema, se ejecuta updfstab para añadir la nueva entrada al fstab.
      Después, updfstab ejecuta pam_console_apply, el cual usa las reglas
      almacenadas en etc/security/console.perms para permitir el acceso al
      dispositivo al usuario de la consola. 

      Los usuarios de GNOME que ejecutan el magicdev verán aparecer los iconos
      de los dispos-itivos en escritorio. El magicdev normalmente controla el
      tiempo de impresión de /etc/fstab y dirge gmc para que vuelva a escanear 
      los dispositivos cuando se cambia el fstab. Si no ejecuta el dispositivo 
      magicdev, la opción "Rescan Devices" en el menú de root gmc (que aparece
      cuando hace click con el botón derecho del ratón en el escritorio)
      lleva a cabo una función equivalente.
      
      Los usuarios de KDE verán la misma funcionalidad.

    o Controladores nuevos y actualizados -- En la nueva versión de Red 
      Hat Linux se incluyen nuevos controladores y otros que han sido
      mejorados como resultado del cambio al kernel 2.4. Entre estos
      controladores se encuentran los siguientes:

        - Controlador Adaptec AIC7XXX SCSI actualizado
        - Subsistema IEEE1394 (FireWire)
        - Adaptec starfire quad ethernet
        - Aironet 802.11 WiFI ethernet
        - National Semiconductor DP83810 ethernet
        - Subsistema ATM y varios controladores ATM
        - Subsistema DECnet
        - Cyclom 2X, DEFEA, and DEFPA FDDI
        - Soporte IPv6
        - NFS versión 3
        - iptables, firewall mejorado
        - Tarjetas de Sonido Maestro3
        - Controlador broadcom BCM5700 PCI-X 10/100/1000BASE-T
        - Soporte de los controladores IDE UltraDMA/66 y UltraDMA/100

    o Aceleración 3D en XFree86 4.0.3 -- Se ha añadido una gran variedad 
      de tarjetas 3DFX a la lista de tarjetas que soportan los gráficos 3D.
      Además, las tarjetas Intel i810, Matrox G200,G400, G450 (NOTA: la
      operación de doble monitor en la G450 no está soportado) y la ATI Rage
      128 también soportan los gráficos acelerados de 3D. Tenga en 
      cuenta que Xfree86 4.0.3 no soporta todavía la aceleración 3D en las
      tarjetas ATI Rade.

    o Nueva herramienta de configuración de Apache -- apacheconf:

        - Ayuda a administrar las máquinas virtuales de una manera inteligente
        - Está configurada con la librería Alchemist Data Library
 
    o Nueva herramienta de configuración BIND -- bindconf:

        - Facilita la configuración DNS
        - Está configurada con la librería Alchemist Data Library

    o Nueva herramienta de configuración de la impresora -- printconf:

        - Los filtros están basados en el filtro mágico diseñado por David
          Parson, es decir, el sistema foomatic, en la base de datos de la
          impresora de Linux (http://linux-printing.
          org).
        - Supports over 500 printers
        - Actualiza sistemas antiguos configurados con printtool.
        - Está configurada con la librería Alchemist Data Library.

    o Mejoras en Red Hat Network y aparición de un nuevo servicio 
      llamado Software Manager -- Se han realizado una serie de mejoras en
      el servicio Red Hat Network y su programa cliente conocido como
      "Update Agent". Además, ha aparecido un nuevo servicio llamado
      Software Manager. Este tipo de tecnología incluye las siguientes 
      mejoras respecto a la anterior versión:

        - El Update Agent ahora soporta completamente la operación desde 
          la línea de comandos.
        - Utilidad de configuración en modo texto.
        - La utilización del modo GUI se puede desactivar especificando la
          opción de la línea de comandos "--nox".
        - Resolución más inteligente de cadenas complejas de 
          interdependencias de paquetes.
        - Las opciones de la línea de comandos --whatprovides y 
          --solvedeps permiten pedir la base de datos de Red Hat Network para
          visualizar las dependencias de los paquetes.
        - La opción de la línea de comandos --packagedir permite ver la lista 
          de los directorios especificados. Se buscarán dichos directorios
          cuando se hayan satisfecho las dependencias de los paquetes.
        - Las actualizaciones del Kernel ya pueden ser procesadas por Update
          Agent.

    o Los directorios Emacs/XEmacs site-start.d.  Tanto Emacs como 
      XEmacs soportan un directorio site-start.d. De esta manera, los paquetes
      se sitúan en los ficheros de arranque emacs en el directorio apropiado y
      se cargan cuando arranca el editor. Así, no es necesario modificar el
      fichero site-start.el directamente. Los
      directorios son
      los siguientes:

            /usr/share/emacs/site-lisp/site-start.d
            /usr/lib/xemacs/xemacs-packages/lisp/site-start.d

    o Nueva herramienta de configuración de las líneas
      ADSL/RDSI-- internet-con-fig sustituye a adsl-config y isdn-config.
      Ayuda a los nuevos usuarios con la configuración de estos dos métodos de
      conexión tan conocidos.

    o Notas sobre la actualización de PostgreSQL -- Si está actualizando la
      versión de Red Hat Linux 6.2 u otra anterior, debe de vaciar sus bases 
      de datos y reiniciar el ciclo. Para ello, use el programa pg_dumpall(1)
      ANTES DE realizar la actualización a la versión 7.1 de Red Hat Linux.
      Después de haber actualizado la versión, lea el fichero README.rpm en
      /usr/share/doc/postgresql*/.

      Tenga en cuenta que la actualización mantiene los binarios antiguos
      junto con los scripts pero se recomienda vaciar la base de datos y
      reiniciarla antes de la actualización.

    o Notas sobre la actualización del OpenLDAP -- El formato del disco 
      que usa el slapd,como almacén de datos, el disco binario del servidor
      OpenLDAP ha cambiado. Los usuarios que deseen actualizar versiones
      anteriores de Red Hat Linux en los servidores LDAP necesitarán convertir
      sus directorios en ficheros LDIF usando ldbmcat -n y volver a
      importarlos en el nuevo formato con slapadd.

    o Cambios en el servidor IMAP -- El servidor IMAP ahora utiliza el 
      soporte contenido en el certificado SSL en vez del soporte stunnel.
      Así, según el nombre del fichero del certificado que usa imapd ha
      cambiado de stunnel.pem a imapd.pem. Los usuarios 
      que estén actualizando versiones anteriores de Red Hat Linux tendrán
      que dar otro nombre, copiar o crear un enlace simbólico al certificado.

    o Sendmail -- Por defecto, Sendmail no acepta
      conexiones en red de otros ordenadores salvo del ordenador local.
      Si desea configurarlo para que sea servidor de otros clientes, modifique
      el /etc/mail/sendmail.mc y cambie las DAEMON_OPTIONS para también
      escuchar en dispositivos de red o bien comente esta
      opción. Tiene que regenerar /etc/sendmail.cf ejecutando lo siguiente:

            m4 /etc/mail/sendmail.mc > /etc/sendmail.cf

      Observe que debe de tener instalado el paquete sendmail-cf.

    o Otros paquetes importantes:

        - Codificador/decodificador de audio Ogg Vorbis
        - Navegador web Mozilla
        - LSB junto con los paquetes SGML y XML
        - KDE 2.1 y KOffice
        - BIND 9.x con soporte DNSsec y control remoto
        -  Sporte SSL en links, slrn, OpenLDAP y pine
        - Pine 4.33
        - Editor Quanta HTML (en el CD Powertools)
        - Postfix y exim (en el CD Powertools) incluyen soporte SSL/TLS 
        - WINE (en el CD Powertools) ejecuta directamente ficheros .exe de
          Windows desde Linux.


    o Paquetes eliminables -- Los siguientes paquetes son eliminables por lo
      que pueden desaparecer en un futuro:

        - AfterStep
        - Netscape 4.x
        - Qt 1.x
        - Librerías de compatibilidad/entorno de creación KDE v1
        - elm
        - linuxconf
        - ncpfs
        - mars_nwe



Puntos conocidos / Problemáticas:
-----------------------------

    o El soporte PCMCIA ha cambiado mucho desde que salió al mercado la
      versión 7 de Red Hat Linux; si personaliza el soporte PCMCIA con las
      versiones anteriores de Red Hat Linux, deberá revisar los cambios.

    o Algunas JVMs de Java (tanto la de Sun como la de IBM) no funcionan con
      las nuevas car-acterísticas de la tecnología de coma flotante de la
      versión i686 del glibc. Esto es debido a los errores de programación de
      las JVMs que ahora ya no son válidos. Los distribuidores
      están intentando solucionar el problema. Hasta que los paquetes JVM
      corregidos no estén disponibles, tendrá que forzar a glibc a usar el 
      modelo eliminable estableciendo la siguiente variable de entorno:

                          LD_ASSUME_KERNEL=2.2.5




Documentación- Cambios y mejoras
--------------------------------

    o Documentación adicional sobre VNC en el /etc/sysconfig/vncservers -
      Debido a restricciones en el tiempo, no se pudo incluir la siguiente
      información en la anterior publicación de la Official Red Hat Linux
      Reference Guide.

      El fichero /etc/sysconfig/vncservers configura cómo arrancar el servidor
      Virtual Network Computing (VNC). El servidor VNC es un sistema de
      pantallas remotas que le permite visualizar el entorno de un escritorio
      no sólo en el ordenador en el que se esté ejecutando,
      sino también cuando se está ejecutando en redes diferentes (desde la
      línea LAN a Internet) usando una amplia variedad de arquitecturas.
  
      
      Contiene lo siguiente:

      VNCSERVERS=<value>, donde el valor de <value> es  "1:fred", indica que el
      usuario A en la pantalla 1 ha arrancado el servidor VNC. Dicho usuario
      seguramente ha creado una contraseña para el servidor VNC usando
      vncpasswd antes de intentar conectarse al servidor
      remoto VNC.

      Observe que cuando usa un servidor VNC, la comunicación no está
      codificada, por lo que no debería utilizarse en una red insegura. 
      Para más información sobre la utilización del SSH
      para llevar a cabo una comunicación segura, consulte
      http://www.uk.research.att.com/vnc/ sshvnc.htmlasí como las guías
      Reference y Customization de Red Hat Linux.

i386 7.1

